version: '3'

volumes:
  vbv_lernwelt_local_postgres_data: {}
  vbv_lernwelt_local_postgres_data_backups: {}

services:
  django:
    build:
      context: .
      dockerfile: ./compose/django/Dockerfile
    image: iterativ/vbv-lernwelt-django
    depends_on:
      - postgres
    env_file:
      - ./env/docker_local.env
    ports:
      - "8008:80"
    command: /start

  postgres:
    build:
      context: .
    image: postgres:14.1
    volumes:
      - vbv_lernwelt_local_postgres_data:/var/lib/postgresql/data:Z
      - vbv_lernwelt_local_postgres_data_backups:/backups:z
    env_file:
      - ./env/docker_local.env
